class crashplan::install (
  $crashplan_source = $crashplan::params::crashplan_source,
  $unzip_dir = $crashplan::params::unzip_dir,
) inherits crashplan::params {
  file {$unzip_dir:
    ensure => directory,
  }

  archive {'/tmp/crashplan.tgz':
    ensure => present,
    extract => true,
    extract_path => $unzip_dir,
    source => $crashplan_source,
    creates => "$unzip_dir/crashplan-install",
  }

  file {"$unzip_dir/crashplan-install/install-silent.sh":
    ensure => present,
    source => 'puppet:///modules/crashplan/install-silent.sh',
    mode => '0755',
  }

  exec {"$unzip_dir/crashplan-install/install-silent.sh":
    creates => '/usr/local/crashplan/install.vars',
    cwd => "$unzip_dir/crashplan-install",
  }

  File[$unzip_dir] -> Archive['/tmp/crashplan.tgz'] -> File["$unzip_dir/crashplan-install/install-silent.sh"] -> Exec["$unzip_dir/crashplan-install/install-silent.sh"]
}
